.custom-icon {
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  display: inline-block;
  height: 40px;
  vertical-align: middle;
  width: 40px;

  &--x {
    background-image: url(../img/logo-x.png);
  }

  &--arrow-left,
  &--arrow-right {
    background-image: url(../img/arrow-right.svg);
    height: 20px;
    position: relative;
    top: -2px;
    width: 20px;
  }

  &--arrow-left {
    transform: rotate(180deg);
  }

  &--grid {
    background-image: url(../img/grid.svg);
    margin: 0 15px;
    position: relative;
    top: -2px;
    width: 20px;
  }
}

.custom-icon__wrap {
  border: 2px solid $c-red;
  border-radius: 50%;
  display: inline-block;
  height: 30px;
  margin-right: 10px;
  padding: 4px 2px 3px;
  width: 30px;
}
